name: TwitchEventSub

services:
  twitch-eventsub:
    image: node:24-alpine
    working_dir: /app

    environment:
      CLIENT_ID: 1d55t6jkkl2l0triq2irmog3lo3ver
      APP_ACCESS_TOKEN: dugtl9h8jh9f89txj0qoagtv93u2wj
      BROADCASTER_ID: "86025329"

      REWARD_HYDRATE_ID: "abc123"
      REWARD_SOUND_ID: "def456"

    volumes:
      - .:/app
      - /app/node_modules

    command: >
      sh -c "npm install --omit=dev && node src/index.js"

    restart: unless-stopped